Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing.style
Class SubclassesRestrictionDuplicatesThatOfSuperTest

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
          edu.stanford.smi.protegex.owl.testing.style.SubclassesRestrictionDuplicatesThatOfSuperTest

All Implemented Interfaces:
  AutoRepairableOWLTest, OWLTest, RDFSClassTest, RepairableOWLTest

    public class SubclassesRestrictionDuplicatesThatOfSuperTest

extends AbstractOWLTest
implements RDFSClassTest, AutoRepairableOWLTest

Tests whether a subclass has a redundant restriction on it. This is currently only implemented as the simple case where the restriction structurally matches that on a superclass. This could be generalised to check if the filler os more general, or if a cardinality is more general etc

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 07-Feb-2006

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`SANITY_GROUP`

Constructor Summary
`SubclassesRestrictionDuplicatesThatOfSuperTest()`

Method Summary
`static boolean` | `fails(RDFSClass aClass)`
`static boolean` | `fix(OWLNamedClass namedClass)`
`String` | `getDocumentation()` Gets a documentation text that describes the test.
`String` | `getGroup()`
`String` | `getName()`
`boolean` | `repair(OWLTestResult testResult)` Attempts to repair the cause of a given OWLTestResult.
`List` | `test(RDFSClass aClass)` Performs a check of a given RDFSClass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubclassesRestrictionDuplicatesThatOfSuperTest

    public SubclassesRestrictionDuplicatesThatOfSuperTest()

Method Detail

### getDocumentation

    public String getDocumentation()

  Description copied from interface: `OWLTest`
  Gets a documentation text that describes the test. This could be HTML text.

  Specified by:
    `getDocumentation` in interface `OWLTest`
  Overrides:
    `getDocumentation` in class `AbstractOWLTest`
  Returns:
    the documentation

### getGroup

    public String getGroup()

  Specified by:
    `getGroup` in interface `OWLTest`
  Overrides:
    `getGroup` in class `AbstractOWLTest`

### getName

    public String getName()

  Specified by:
    `getName` in interface `OWLTest`
  Overrides:
    `getName` in class `AbstractOWLTest`

### test

    public List test(RDFSClass aClass)

  Description copied from interface: `RDFSClassTest`
  Performs a check of a given RDFSClass.

  Specified by:
    `test` in interface `RDFSClassTest`
  Parameters:
    `aClass` - the RDFSClass to check
  Returns:
    a list of OWLTestResult objects

### fails

    public static boolean fails(RDFSClass aClass)

### repair

    public boolean repair(OWLTestResult testResult)

  Description copied from interface: `RepairableOWLTest`
  Attempts to repair the cause of a given OWLTestResult.

  Specified by:
    `repair` in interface `RepairableOWLTest`
  Parameters:
    `testResult` - the OWLTestResult encapsulating the error
  Returns:
    true if the repair was successful

### fix

    public static boolean fix(OWLNamedClass namedClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.